tomcat-users mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From Christopher Schultz <>
Subject Re: Tomcat6 - Context - aliases
Date Mon, 02 Apr 2012 20:53:43 GMT
Hash: SHA1


On 4/2/12 6:45 AM, Léa Massiot wrote:
> Konstantin Kolinko wrote
>> Install Tomcat 7. Read RUNNING.txt for a start.
> I prefer not to. As I wrote, "Tomcat7" is not packaged yet in
> "Debian" stable "Squeeze".

Nor will it. Debian has a fairly conservative release strategy, and I
suspect that Squeeze will *never* have a version of Tomcat 7 available
to the package manager.

> For security reasons, I want to use only stable, packaged and
> up-to-date OS and software versions.

You will probably have to upgrade to Wheezy (currently "testing")
which currently has Tomcat 7.0.26-1 (the "-1" is Debian's additional
patch level version number).

Note that Debian isn't always so fast to back-port security patches so
clinging to the Debian package manager doesn't necessarily make you
more secure... it just makes your security "someone else's problem"
which might be a mistake.

> I there any other workaround... I mean... I guess even before
> "Tomcat7", people needed to declare such "aliases".

You could deploy multiple webapps to get the same behavior as
'aliases'. Or, you could merge your directories together as deploy-time.

- -chris
Version: GnuPG/MacGPG2 v2.0.17 (Darwin)
Comment: GPGTools -
Comment: Using GnuPG with Mozilla -


To unsubscribe, e-mail:
For additional commands, e-mail:

View raw message